Currencies: Bimp API methods
Bimp API methods for the “Currencies” resource (/org2/currency/…): 2 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.
| Method | What it does |
|---|---|
POST /org2/currency/api-readList | A request to view a list of currencies |
POST /org2/currency/api-read | A request to obtain detailed information for a particular currency |
api-readList
POST /org2/currency/api-readList
A request to view a list of currencies
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
pagination | object | yes | |
pagination.offset | number | yes | Begin from {offset} elements |
pagination.count | number | yes | Limit of paginated elemets |
Response: data field
| Field | Type | Description |
|---|---|---|
[].uuid | string | |
[].name | string | |
[].code | string |
curl -X POST 'https://app.bimpsoft.com/org2/currency/api-readList' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"pagination":{"offset":0,"count":10}}'
api-read
POST /org2/currency/api-read
A request to obtain detailed information for a particular currency
Request body (JSON)
| Field | Type | Required | Description |
|---|---|---|---|
uuid | string (uuid) | yes | A unique uuid key for a currency |
Response: data field
| Field | Type | Description |
|---|---|---|
uuid | string | |
name | string | |
code | string |
curl -X POST 'https://app.bimpsoft.com/org2/currency/api-read' \
-H 'access-token: <company token>' \
-H 'Content-Type: application/json' \
-d '{"uuid":"00000000-0000-0000-0000-000000000000"}'
Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.